%define major   0.13
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           hiredis
Version:        0.13.3
Release:        %mkrel 1
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         0001-build-do-not-assume-that-INSTALL-is-cp.patch
Patch1:         CVE-2020-7105.patch

%description
Hiredis is a minimalistic C client library for the Redis database.

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        Minimalistic C client library for Redis
Group:          System/Libraries

%description -n %{libname}
Hiredis is a minimalistic C client library for the Redis database.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%files -n       %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%make_build

%install
%make_install PREFIX=%{_prefix} LIBRARY_PATH=%{_lib}

# fix pkgconfig file
perl -pi \
    -e 's|^prefix=.*|prefix=%{_prefix}|;' \
    -e 's|^libdir=.*|libdir=%{_libdir}|;' \
    -e 's|^includedir=.*|includedir=%{_includedir}|;' \
    %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

find %{buildroot} -name '*.a' -delete -print


%changelog
* Sun Aug 29 2021 tex - 0.13.3-1pclos2021
- create pkg for ccache
